[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.ShutDownDaemon

Shut down daemon

## Declaration

Source position: daemonapp.pp line 345

`public function TDaemonThread.ShutDownDaemon: Boolean; virtual;`

## Function result

The result from the Daemon method

## Description

ShutDownDaemon shuts down the Daemon for the thread. This happens normally only when the system is shut down and the daemon didn't respond to the stop request. The return valuie is the result from the method in the TCustomDaemon instance. The thread is terminated in this method.

## See also

TDaemonThread.StopDaemon |  | Stops the daemon
TDaemonThread.PauseDaemon |  | Pause the daemon
TDaemonThread.ContinueDaemon |  | Continue the daemon
TCustomDaemon |  | Base daemon application class
TThread.Terminate